# Generated by Django 3.0.10 on 2020-09-19 10:45

import django.contrib.postgres.fields.jsonb
import django.contrib.sites.managers
import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("contenttypes", "0002_remove_content_type_name"),
        ("sites", "0002_alter_domain_unique"),
        ("alsijil", "0007_personal_note_lesson_documentation_year"),
    ]

    operations = [
        migrations.CreateModel(
            name="DataCheckResult",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "extended_data",
                    django.contrib.postgres.fields.jsonb.JSONField(
                        default=dict, editable=False
                    ),
                ),
                (
                    "check",
                    models.CharField(
                        choices=[
                            (
                                "no_personal_notes_in_cancelled_lessons",
                                "Ensure that there are no personal notes in cancelled lessons",
                            )
                        ],
                        max_length=255,
                        verbose_name="Related data check task",
                    ),
                ),
                ("object_id", models.CharField(max_length=255)),
                (
                    "solved",
                    models.BooleanField(default=False, verbose_name="Issue solved"),
                ),
                (
                    "sent",
                    models.BooleanField(
                        default=False, verbose_name="Notification sent"
                    ),
                ),
                (
                    "content_type",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="contenttypes.ContentType",
                    ),
                ),
                (
                    "site",
                    models.ForeignKey(
                        default=1,
                        editable=False,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="sites.Site",
                    ),
                ),
            ],
            options={
                "verbose_name": "Data check result",
                "verbose_name_plural": "Data check results",
            },
            managers=[("objects", django.contrib.sites.managers.CurrentSiteManager()),],
        ),
    ]
